http://www.perlmonks.org?node_id=11114684


in reply to Oracle::DBD to 12c server

Solaris/Oracle victim user here, 12c does allow altering the sqlnet.allowed_login_version, perhaps your DBA doesn't want to do that for security reasons. DBD::Oracle v1.14 is ancient, compile a current release against the Oracle 12c installation.